Subject: Re: [PATCH net-next 2/3] ksz884x: remove unused #defines

From: Simon Horman <[email-masked]>
Date: Thu, 6 Apr 2023 18:12:49 +0200

On Thu, Apr 06, 2023 at 09:00:17AM -0700, Jakub Kicinski wrote:
> On Thu, 06 Apr 2023 15:37:36 +0200 Paolo Abeni wrote:
> > On Wed, 2023-04-05 at 10:39 +0200, Simon Horman wrote:
> > > Remove unused #defines from ksz884x driver.
> > > 
> > > These #defines may have some value in documenting the hardware.
> > > But that information may be accessed via scm history.  
> > 
> > I personally have a slight preference for keeping these definitions in
> > the sources (for doc purposes), but it's not a big deal. 
> > 
> > Any 3rd opinion more then welcome!
> 
> I had the same reaction, FWIW.
> 
> Cleaning up unused "code" macros, pure software stuff makes perfect
> sense. But I feel a bit ambivalent about removing definitions of HW
> registers and bits.

I guess that it two down-votes for removing the #defines.

Would it be acceptable if I reworked the series to only remove
the dead code - which would leave only subset of patch 3/3 ?